Ruby: ext/etc/etc.c File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Macros | Functions
etc.c File Reference
`#include "ruby.h"`
`#include "ruby/encoding.h"`
`#include "ruby/io.h"`
`#include <sys/types.h>`
`#include <errno.h>`
`#include "constdefs.h"`
`#include "ruby/atomic.h"`

Go to the source code of this file.

## Macros
#define | RUBY_ETC_VERSION "1.3.0"
#define | rb_deprecate_constant(mod, name) ((void)(mod),(void)(name))
#define | numberof(array) (sizeof(array) / sizeof(*(array)))
#define | etc_uname rb_f_notimplement
#define | etc_sysconf rb_f_notimplement
#define | etc_confstr rb_f_notimplement
#define | io_pathconf rb_f_notimplement
#define | etc_nprocessors rb_f_notimplement

## Functions
char * | getenv ()
char * | getlogin ()
void | Init_etc (void)

## Macro Definition Documentation

## ◆ etc_confstr

#define etc_confstr rb_f_notimplement

Definition at line 912 of file etc.c.

## ◆ etc_nprocessors

#define etc_nprocessors rb_f_notimplement

Definition at line 1065 of file etc.c.

## ◆ etc_sysconf

#define etc_sysconf rb_f_notimplement

Definition at line 865 of file etc.c.

## ◆ etc_uname

#define etc_uname rb_f_notimplement

Definition at line 831 of file etc.c.

## ◆ io_pathconf

#define io_pathconf rb_f_notimplement

Definition at line 951 of file etc.c.

## ◆ numberof

#define numberof | ( |  | array | ) | (sizeof(array) / sizeof(*(array)))

Definition at line 649 of file etc.c.

## ◆ rb_deprecate_constant

#define rb_deprecate_constant | ( |  | mod,
|  |  | name
| ) |  | ((void)(mod),(void)(name))

Definition at line 60 of file etc.c.

## ◆ RUBY_ETC_VERSION

#define RUBY_ETC_VERSION "1.3.0"

Definition at line 55 of file etc.c.

## Function Documentation

## ◆ getenv()

char * getenv | ( |  | ) |

## ◆ getlogin()

char * getlogin | ( |  | ) |

Definition at line 918 of file win32.c.

Referenced by rb_home_dir_of().

## ◆ Init_etc()

void Init_etc | ( | void |  | ) |

Definition at line 1095 of file etc.c.

References etc_confstr, etc_nprocessors, etc_sysconf, etc_uname, io_pathconf, NULL, rb_cIO, rb_cStruct, rb_define_const(), rb_define_method, rb_define_module(), rb_define_module_function, rb_define_singleton_method, rb_deprecate_constant, RB_EXT_RACTOR_SAFE, rb_extend_object(), rb_mEnumerable, rb_str_new_cstr, rb_struct_define_under(), and RUBY_ETC_VERSION.